<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.system.mapper.EventTemplateMapper">

    <!--获取模板分页列表-->
    <select id="page" resultType="com.njcn.system.pojo.vo.EventTemplateVO">
        SELECT report_template.*
        FROM report_template report_template
        WHERE ${ew.sqlSegment}
    </select>

    <!--删除模板与字典关系-->
    <delete id="deleteRelevancy">
        DELETE FROM report_relevancy where Rt_Id in
        <foreach item="item" index="index" collection="ids" open="("
                 separator="," close=")">
            #{item}
        </foreach>
    </delete>


</mapper>